void printi(int val);

int main()
{
  unsigned int i, val, val2;

  for (i = -2; (int)i < 3; i++) {
    val = i; val2 = ++val; printi(val); printi(val2);
    val = i; val2 = --val; printi(val); printi(val2);
    val = i; val2 = val++; printi(val); printi(val2);
    val = i; val2 = val--; printi(val); printi(val2);
  }

  return 0;
}
